Bug 10189 - French values in cataloging plugins for unimarc 128b and 128c fields
Summary: French values in cataloging plugins for unimarc 128b and 128c fields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.14
Hardware: All All
: P5 - low trivial (vote)
Assignee: mathieu saby
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-03 21:09 UTC by mathieu saby
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
[PATCH] Bug 10189 : Translate values in unimarc 128b/c cataloguing plugins in english (1.98 KB, patch)
2013-05-03 21:20 UTC, mathieu saby
Details | Diff | Splinter Review
[PATCH] Bug 10189 : Translate values in unimarc 128b/c cataloguing plugins in english (44.56 KB, patch)
2013-05-03 21:22 UTC, mathieu saby
Details | Diff | Splinter Review
Bug 10189 : Translate values in unimarc 128b/c cataloguing plugins in english (44.61 KB, patch)
2013-07-13 20:46 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10189 : Translate values in unimarc 128b/c cataloguing plugins in english (44.80 KB, patch)
2013-07-14 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-05-03 21:09:50 UTC
Values in cataloging plugins for unimarc 128b and 128c fields are only in french.
Comment 1 mathieu saby 2013-05-03 21:20:26 UTC Comment hidden (obsolete)
Comment 2 mathieu saby 2013-05-03 21:21:27 UTC
Wrong attachment :(
Comment 3 mathieu saby 2013-05-03 21:22:58 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2013-07-13 20:46:55 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2013-07-14 12:02:18 UTC
Created attachment 19628 [details] [review]
[PASSED QA] Bug 10189 : Translate values in unimarc 128b/c cataloguing plugins in english

Cataloguing plugins for UNIMARC 128b and 128c fields are only in french.
This patch translates them.
Source : http://blue.lins.fju.edu.tw/mao/marc/unicon.htm
Note : 128b and 128c are deprecated in last version of UNIMARC Manual (field 145 used instread). But they are still used in French Sudoc network.

To test : in a UNIMARC english Koha, edit a record and use 128b and 128c cataloguing plugins. Check everything is in english.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Thx for translating those!
Verified new strings get parsed into the po files.
Templates still contain lots of tabs, those can be fixed separately.
Comment 6 Galen Charlton 2013-07-15 16:19:16 UTC
Pushed to master.  Thanks, Mathieu!
Comment 7 Tomás Cohen Arazi 2013-07-25 15:12:32 UTC
This patch has been pushed to 3.12.x, will be in 3.12.3.

Thanks Mathieu!
Comment 8 Bernardo Gonzalez Kriegel 2013-08-04 22:56:23 UTC
Pushed to 3.10.x, will be in 3.10.10
Comment 9 Chris Hall 2013-09-16 08:45:52 UTC
Pushed to 3.8.x, will be in 3.8.18